require "cagnut_pipeline_draw/version"
require 'cagnut_bwa'
require 'cagnut_gatk'
require 'cagnut_picard'
require 'cagnut_samtools'
require 'cagnut_snpeff'
require 'cagnut_toolbox'

module CagnutPipelineDraw
  class << self
    def pipeline_names
      %W(draw1 draw2 draw3 draw)
    end

    def config_name
      'draw'
    end

    def root
      ::Pathname.new File.expand_path '../..', __FILE__
    end
  end
end

require 'cagnut_pipeline_draw/configuration'
require 'cagnut_pipeline_draw/cli/new_project/draw'
require 'cagnut_pipeline_draw/cli/pipeline/draw'
require "cagnut_pipeline_draw/pipeline/alignment"
require "cagnut_pipeline_draw/pipeline/recalibration"
require "cagnut_pipeline_draw/pipeline/variant_call"
