module Cagnut
  module Cli
    module Pipeline
      module Draw

        def pipeline_draw opts = {}
          opts[:job_name], opts[:filename], order = pipeline_draw1
          opts[:job_name], opts[:filename], order = pipeline_draw2 opts, order
          opts[:job_name], opts[:filename], order = pipeline_draw3 opts, order
        end

        def pipeline_draw1 opts = {}, order=1
          puts 'Phase 1 - Create BAM alignments'
          CagnutPipelineDraw::Pipeline::Alignment.new.run order
        end

        def pipeline_draw2 opts = {}, order=1
          puts 'Phase 2 - BAM Recalibration'
          CagnutPipelineDraw::Pipeline::Recalibration.new(opts[:job_name]).run opts[:filename], order
        end

        def pipeline_draw3 opts = {}, order=1
          puts 'Phase 3 - VariantCall and Generate Stats'
          CagnutPipelineDraw::Pipeline::VariantCall.new(opts[:job_name]).run opts[:filename], order
        end

        def run_filter names
          return if names.size <= 3 && names.all? { |name| CagnutPipelineDraw.pipeline_names.include? name }
          super
        end

      end
    end
  end
end

Cagnut::Pipeline::Base.prepend Cagnut::Cli::Pipeline::Draw
Cagnut::Pipeline::Base.register CagnutPipelineDraw
