module CagnutPipelineDraw
  module Configuration

    module Utils
      class << self
        def create_output_dirs config, index, dir
          draw_pipeline_folders.each do |folder_name|
            FileUtils.mkdir_p "#{dir}/#{folder_name}"
            config['samples'][index]["#{folder_name}"] = "#{dir}/#{folder_name}"
          end
        end

        def draw_pipeline_folders
          %W(
            bam
            csv
            fastq
            qseq
            stat
            sai
            sam
            tmp
            vcf
          )
        end
      end
    end

    def make_required_folders config, sample, index, analysis_folder
      super
      return unless CagnutPipelineDraw.config_name == config['pipeline_name']
      CagnutPipelineDraw::Configuration::Utils.create_output_dirs config, index, analysis_folder
      ln_seq_files_to_folder sample, sample['qseq'], sample['fastq']
    end

  end
end

Cagnut::Configuration::Checks::Datasets.prepend CagnutPipelineDraw::Configuration
