module CagnutPipelineDraw
  module Pipeline
    class VariantCall
      attr_accessor :gatk, :snp_eff

      def initialize job_name
        @job_name = job_name
        @config = Cagnut::Configuration.config
        @gatk = ::CagnutGatk::Util.new @config
        @snpeff = ::CagnutSnpeff::Util.new
      end

      def run filename = nil, order=1
        order = @gatk.depth_of_coverage gatk_depth_of_coverage_dirs, order, @job_name, filename
        job_name, filename, order = @gatk.unified_genotyper gatk_unified_genotyper_dirs, order, @job_name, filename
        job_name, filename, order = @gatk.snpcal gatk_snpcal_dirs, order, job_name, filename
        job_name, order = @snpeff.snp_annotation snpeff_snp_annotation_dirs, order, job_name, filename
        # collectSPeekMetrics
        [job_name, nil, order+1]
      end

      private

      def gatk_depth_of_coverage_dirs
        {
          input: @config['sample']['bam'],
          output: @config['sample']['stat'],
        }
      end

      def gatk_snpcal_dirs
        {
          input: @config['sample']['bam'],
          output: @config['sample']['vcf'],
        }
      end

      def gatk_unified_genotyper_dirs
        {
          input: @config['sample']['vcf'],
          output: @config['sample']['vcf'],
        }
      end

      def snpeff_snp_annotation_dirs
        {
          input: @config['sample']['vcf'],
          output: @config['sample']['vcf'],
        }
      end

    end
  end
end
